Loading...
Searching...
No Matches
ranges::actions::reverse_fn Struct Reference

Reversed the source range in-place. More...

`#include <range/v3/action/reverse.hpp>`

Inheritance diagram for ranges::actions::reverse_fn:

## Public Member Functions

template<typename Rng > requires bidirectional_range<Rng> && permutable<iterator_t<Rng>>
Rng | operator() (Rng &&rng) const

## Related Symbols

(Note that these are not member symbols.)
constexpr action_closure< reverse_fn > | reverse {}

## Detailed Description

Reversed the source range in-place.

## Friends And Related Symbol Documentation

## reverse

constexpr action_closure<reverse_fn> reverse {}

related

See also
  action_closure